Bug 910508 (kjumpingcube)

Summary: Review Request: kjumpingcube - Territory capture game
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-16 14:06:18 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 13:36:27 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kjumpingcube.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kjumpingcube-4.10.0-1.fc18.src.rpm
Description: A simple tactical game
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-14 17:03:23 EST
Summary: Territory Capture Game
(from .desktop file)

Code under GPLv2+ license, doc under GFDL, license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc
Add notices for parts under different licenses.

Also there are useful files 
%doc AUTHORS README ChangeLog


Detailed %description from documentation:

KJumpingCube is a simple tactical game. You can play it against the computer
or a friend. The playing area consists of squares containing points. When the
game starts each square has only one point, and no owner. Players move by
clicking on either a vacant square or one of their own squares, thus
increasing the square’s point value by one. When a square’s value reaches
a maximum, the excess points are distributed around the neighboring squares,
taking over ownership of them. The winner is the player who ends up owning
all the squares.

rpmlint output:
$ rpmlint kjumpingcube-4.10.0-1.fc18.i686.rpm kjumpingcube-debuginfo-4.10.0-1.fc18.i686.rpm kjumpingcube-4.10.0-1.fc18.src.rpm kjumpingcube.spec 
kjumpingcube.i686: W: no-manual-page-for-binary kjumpingcube
kjumpingcube.src:66: W: macro-in-comment %{name}
kjumpingcube.src:70: W: macro-in-comment %{name}
kjumpingcube.spec:66: W: macro-in-comment %{name}
kjumpingcube.spec:70: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

Commented lines should be removed (#doc README corrected).
Comment 2 nucleo 2013-02-14 19:27:07 EST
or even better such summary:
Summary: Territory capture game
Comment 3 Rex Dieter 2013-02-15 08:42:09 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kjumpingcube.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kjumpingcube-4.10.0-2.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description/summary
Comment 4 nucleo 2013-02-16 13:22:27 EST
MUST Items:
+ rpmlint output
  $ rpmlint kjumpingcube-4.10.0-1.fc18.i686.rpm kjumpingcube-debuginfo-4.10.0-1.fc18.i686.rpm kjumpingcube-4.10.0-2.fc18.src.rpm kjumpingcube.spec 
    kjumpingcube.i686: W: no-manual-page-for-binary kjumpingcube
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kjumpingcube-4.10.0.tar.xz
+ spec file name kjumpingcube.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 3e903cfebc6c44a12a1540d4898d681e  kjumpingcube-4.10.0.tar.xz
  SHA1: 1f42e117175b75ae994ea5141ec52a4f2516bdce  kjumpingcube-4.10.0.tar.xz
  SHA256: 4a8961eb7a9dc432ff854e825e1681270683f0b8d4eb7f97de50da7ba3e88738  kjumpingcube-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir} )
+ non-code content: only permitted content, pics under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kjumpingcube.desktop file for the GUI app kjumpingcube present
+ desktop-file-validate is used in %check and the kjumpingcube.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kjumpingcube's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, AUTHORS, README)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 5 Rex Dieter 2013-02-16 13:25:40 EST
New Package SCM Request
=======================
Package Name: kjumpingcube
Short Description: Territory capture game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2013-02-16 13:49:44 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-16 14:06:18 EST
imported